<?php
///////////////////////////////////////////////////////////////////////////////////////////////
//condicion para la aplicacion para el filtro de ingreso por rol del usuario
$is_security = true;
///////////////////////////////////////////////////////////////////////////////////////////////
//config gloabal
require_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'config'.DIRECTORY_SEPARATOR.'config.php');
///////////////////////////////////////////////////////////////////////////////////////////////
//enrrutamiento por defecto
include_once("routing.php");
///////////////////////////////////////////////////////////////////////////////////////////////
//AQUI VERIFICO LA VARIABLES PARA COLOCARLOS GLOBALES
$a_globalParam = Parameter::getInstance()->TransformParameterGlobal();
if(count($a_globalParam)>0){
  extract($a_globalParam);
}
///////////////////////////////////////////////////////////////////////////////////////////////
//filtro de ingreso para visualizar los permisos por roles
if($is_security){
  $o_securitygdFilter = new securitygdFilter();
  $o_securitygdFilter->execute($block);
}
///////////////////////////////////////////////////////////////////////////////////////////////
//parametros
$sModule  = Parameter::getInstance()->getModule();
$sActions = Parameter::getInstance()->getActions();
///////////////////////////////////////////////////////////////////////////////////////////////
//funciones especiales para el template
include_once("view.php");
///////////////////////////////////////////////////////////////////////////////////////////////
//aqui se expieza a ejecutar el template con la accion 
//vaiable global donde se declara la accion
$classMyLoginValidator = SF_ROOT_DIR.DIRECTORY_SEPARATOR.'apps'.DIRECTORY_SEPARATOR.SF_APP.DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR.$sModule.DIRECTORY_SEPARATOR."lib".DIRECTORY_SEPARATOR."myLoginValidator.class.php";
$actionFile = SF_ROOT_DIR.DIRECTORY_SEPARATOR.'apps'.DIRECTORY_SEPARATOR.SF_APP.DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR.$sModule.DIRECTORY_SEPARATOR.$sActions.".php";
if(!is_readable($actionFile)){
  $actionFile = SF_ROOT_DIR.DIRECTORY_SEPARATOR.'apps'.DIRECTORY_SEPARATOR.SF_APP.DIRECTORY_SEPARATOR."modules".DIRECTORY_SEPARATOR.$sModule.DIRECTORY_SEPARATOR."perms.php";
}
ob_start();
ob_implicit_flush(0);

require($actionFile);
$content = ob_get_clean();
///////////////////////////////////////////////////////////////////////////////////////////////
//personalizar el resultado
if(ViewResponse::getInstance()->getMethod()){
  //si es un template
  include_once(SF_ROOT_DIR.DIRECTORY_SEPARATOR.'apps'.DIRECTORY_SEPARATOR.SF_APP.DIRECTORY_SEPARATOR."templates".DIRECTORY_SEPARATOR."layout.php");
}else{
  //si podria ser el resultado de un ajax
  echo $content;
}
///////////////////////////////////////////////////////////////////////////////////////////////
//Seguridad para comprobar inactividad
///////////////////////////////////////////////////////////////////////////////////////////////
$o_colaboradorBean = new ColaboradorBean();
$o_colaboradorBean->setIdColaborador(myUser::getUser()->getIdColaborador());
$o_colaboradorBean->setEstado('I');
$o_colaboradorDP = new ColaboradorDP($o_colaboradorBean);
$a_o_colaboradorBean = $o_colaboradorDP->select();

if(is_array($a_o_colaboradorBean) && $_SESSION){
		$_SESSION = null;
		session_destroy();?>
		<script>
			parent.window.location.href= '<?php echo Constantes::ROOT_DIR_APP;?>/index.php/user/login';
		</script>
		<?php
}
//die(1);
//die(1);